> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Returns competitive summary data for a batch of Walmart Item IDs

POST https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/items/competitiveSummary
Content-Type: application/json

Returns competitive summary including featured buying options and lowest priced offers
for a batch of Walmart Item IDs (see ADR-029).

**Phase 1 stub** — no upstream data source identified.
Returns HTTP 501 until an upstream is confirmed.
Track: RCTPAPI-20858.


Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/inventory-pricing/pricing/product-pricing/get-competitive-summary

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a CompetitiveSummaryBatchRequest.

- `requests` (list of CompetitiveSummaryRequest, optional) — A batched list of competitive summary requests.

## Response

### 200

Success

- `responses` (list of CompetitiveSummaryResponse, optional) — A batched list of competitive summary responses.

## Errors

### 400 Bad Request Error

Bad Request

- `list of Error`

### 403 Forbidden Error

Forbidden

- `list of Error`

### 404 Not Found Error

Not Found

- `list of Error`

### 429 Too Many Requests Error

Rate limit exceeded

- `list of Error`

### 500 Internal Server Error

Internal Server Error

- `list of Error`

## Types

### CompetitiveSummaryRequest

An individual competitive summary request.

- `walmartItemId` (string, required) — The Walmart Item ID of the item (see ADR-029).
- `marketplaceId` (string, required) — A marketplace identifier.
- `includedData` (list of enum, required) — The list of requested competitive pricing data for the product.
  - Allowed values: `featuredBuyingOptions`, `referencePrices`, `lowestPricedOffers`, `similarItems`

### CompetitiveSummaryResponse

An individual competitive summary response.

- `status` (GetOffersHttpStatusLine, optional) — The HTTP status line associated with the response.
- `body` (CompetitiveSummaryResponseBody, optional) — The body of a competitive summary response.

### Error

Error response returned when the request is unsuccessful.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### GetOffersHttpStatusLine

The HTTP status line associated with the response.

- `statusCode` (integer, optional) — The HTTP response Status Code.
- `reasonPhrase` (string, optional) — The HTTP response Reason-Phrase.

### CompetitiveSummaryResponseBody

The body of a competitive summary response.

- `walmartItemId` (string, optional) — The Walmart Item ID of the item.
- `marketplaceId` (string, optional) — A marketplace identifier.
- `featuredBuyingOptions` (list of map from string to any, optional) — A list of featured buying options.
- `lowestPricedOffers` (list of map from string to any, optional) — A list of lowest priced offers by condition.
- `referencePrices` (list of map from string to any, optional) — A list of reference prices.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "responses": [
    {
      "status": {
        "statusCode": 1,
        "reasonPhrase": "string"
      },
      "body": {
        "walmartItemId": "string",
        "marketplaceId": "string",
        "featuredBuyingOptions": [
          {}
        ],
        "lowestPricedOffers": [
          {}
        ],
        "referencePrices": [
          {}
        ]
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/items/competitiveSummary"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/items/competitiveSummary';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/items/competitiveSummary"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/items/competitiveSummary")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/items/competitiveSummary")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/items/competitiveSummary', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/items/competitiveSummary");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/items/competitiveSummary")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```